# Created by pyp2rpm-3.3.4
%global pypi_name sqlitedict

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        1%{?dist}
Summary:        Persistent dict in Python, backed up by sqlite3 and pickle, multithread-safe

License:        Apache 2.0
URL:            https://github.com/piskvorky/sqlitedict
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 sqlitedict -- persistent dict, backed-up by SQLite and pickle |Travis|_
|License|_.. |Travi.. |Download.. |Licens.. _Travis: .. _Downloads: ..
_License: lightweight wrapper around Python's sqlite3 database with a simple,
Pythonic

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 sqlitedict -- persistent dict, backed-up by SQLite and pickle |Travis|_
|License|_.. |Travi.. |Download.. |Licens.. _Travis: .. _Downloads: ..
_License: lightweight wrapper around Python's sqlite3 database with a simple,
Pythonic


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.7.0-1
- Initial package.
